EDIT - bug #9821

Description sources shown for description elements should not be editable

10/20/2021 12:49 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.28

Severity: normal Found in Version:

Description

Since #7774 sources for descriptions are shown in the details view for description elements.
However, they should not be editable there to avoid misunderstandings. But currently they are.

We should disable them.

Related issues:

Related to EDIT - feature request #7774: Show description source for descript... Closed

Associated revisions

Revision 4351685¢ - 10/20/2021 03:09 PM - Katja Luther

ref #9821: sources of description should not be editable

Revision a9¢d0534 - 10/26/2021 10:18 AM - Katja Luther

ref #9821: all sources of description should be disabled

Revision df3a895a - 10/26/2021 01:43 PM - Katja Luther

ref #9821: renderContent needs to overrite

Revision d146¢cd8f - 10/27/2021 11:04 AM - Katja Luther

ref #9821: no references yet should be shown only once

Revision d0198e95 - 11/02/2021 12:11 PM - Katja Luther

ref #9821: disable sources for computed and cloned descriptions

Revision 6d9a00e0 - 11/02/2021 01:47 PM - Katja Luther

ref #9821: disable sources for computed and cloned descriptions - continue

History

#1 - 10/20/2021 12:50 PM - Andreas Miller

- Related to feature request #7774: Show description source for description elements added

#2 - 10/20/2021 03:28 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This should be fixed. Please review.

#3 - 10/25/2021 12:10 PM - Andreas Miuller

- Assignee changed from Andreas Miller to Katja Luther

#4 - 10/25/2021 01:23 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

Tested with Descripta prima Dall. in Descriptive DS test.
Categorical as well as quantitative data worked as expected.

#5 - 10/25/2021 10:55 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 30

It works for sources loaded during the session but not yet for sources created during the session.

| created a new sources for a description and then went to the description element and could edit the source there. After reopening the taxon it
worked as expected.

#6 - 10/26/2021 10:19 AM - Katja Luther
- Status changed from Feedback to Resolved
Andreas Miller wrote:
It works for sources loaded during the session but not yet for sources created during the session.
| created a new sources for a description and then went to the description element and could edit the source there. After reopening the taxon it
worked as expected.
This was not a problem of a new source, but of more than one source, this problem is fixed.
Tested with nightly:
e Open Descripta secunda Gall. add a new source to the description "Distributions for Descripta secunda Gall." add a new source and switch to
one of the distributions

¢ the source is shown and disabled.
e but still a problem if the section is collapsed before.

#7 - 10/26/2021 01:14 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.28

#8 - 10/26/2021 01:27 PM - Katja Luther

- Status changed from Resolved to In Progress
#9 - 10/26/2021 01:43 PM - Katja Luther
Katja Luther wrote:
Andreas Miiller wrote:
It works for sources loaded during the session but not yet for sources created during the session.
| created a new sources for a description and then went to the description element and could edit the source there. After reopening the
taxon it worked as expected.
This was not a problem of a new source, but of more than one source, this problem is fixed.
Tested with nightly:
e Open Descripta secunda Gall. add a new source to the description "Distributions for Descripta secunda Gall." add a new source and switch
to one of the distributions

¢ the source is shown and disabled.
¢ but still a problem if the section is collapsed before.

this should be fixed, now

#10 - 10/26/2021 03:22 PM - Katja Luther
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Release 5.28 to Release 5.45

Katja Luther wrote:
Katja Luther wrote:

Andreas Miller wrote:
It works for sources loaded during the session but not yet for sources created during the session.
| created a new sources for a description and then went to the description element and could edit the source there. After reopening the
taxon it worked as expected.

This was not a problem of a new source, but of more than one source, this problem is fixed.

Tested with nightly:

e Open Descripta secunda Gall. add a new source to the description "Distributions for Descripta secunda Gall." add a new source and

switch to one of the distributions

e the source is shown and disabled.
e but still a problem if the section is collapsed before.

this should be fixed, now

tested with nightly and is fixed. please review.

#11 - 10/26/2021 03:37 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.28
| guess the change of milestone was accidentally

#12 - 10/26/2021 05:28 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 30 to 100

Works as expected.
